Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

A user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-25"

Query Parameters

channel
enum<string>

Only return preferences for this delivery channel (or not narrowed to a channel).

Available options:
in_app,
mobile
account_id
string

Only return preferences scoped to this account's member notifications (biz_ tag).

team_account_id
string

Only return preferences scoped to this account's team notifications (biz_ tag).

experience_id
string

Only return preferences scoped to this experience (exp_ tag).

topic_id
string

Only return preferences scoped to this notification topic (topic_ tag).

first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

Response

preferences listed

data
object[]
required
page_info
object
required